# BMad Enterprise Method - Greenfield
# Extended enterprise planning with security/devops/test for greenfield (30+ stories typically)

method_name: "Enterprise BMad Method"
track: "enterprise-bmad-method"
field_type: "greenfield"
description: "Complete enterprise-grade planning with security, devops, and test strategy"

phases:
  - phase: 0
    name: "Discovery (Required)"
    required: true
    note: "Analysis phase required for enterprise projects"
    workflows:
      - id: "brainstorm-project"
        optional: true
        agent: "analyst"
        command: "brainstorm-project"
        note: "Uses core brainstorming workflow with project context template"
        included_by: "user_choice"

      - id: "research"
        recommended: true
        agent: "analyst"
        command: "research"
        included_by: "user_choice"
        note: "Highly recommended for enterprise - domain and compliance research"

      - id: "product-brief"
        recommended: true
        agent: "analyst"
        command: "product-brief"
        included_by: "user_choice"
        note: "Recommended for strategic alignment"

  - phase: 1
    name: "Planning"
    required: true
    workflows:
      - id: "prd"
        required: true
        agent: "pm"
        command: "prd"
        output: "Comprehensive Product Requirements Document"
        note: "Enterprise-level requirements with compliance considerations"

      - id: "create-ux-design"
        recommended: true
        agent: "ux-designer"
        command: "create-ux-design"
        note: "Highly recommended for enterprise - design system and patterns"

  - phase: 2
    name: "Solutioning"
    required: true
    workflows:
      - id: "create-architecture"
        required: true
        agent: "architect"
        command: "create-architecture"
        output: "Enterprise-grade system architecture"
        note: "Includes scalability, multi-tenancy, integration architecture"

      - id: "test-design"
        required: true
        agent: "tea"
        command: "test-design"
        output: "System-level testability review"
        note: "Enterprise requires testability validation - auto-detects system-level mode"

      # - id: "create-security-architecture"
      #   optional: true
      #   agent: "architect"
      #   command: "create-security-architecture"
      #   output: "Security architecture and threat model"
      #   note: "Future workflow - optional extended enterprise workflow for security design, auth, compliance"

      # - id: "create-devops-strategy"
      #   optional: true
      #   agent: "architect"
      #   command: "create-devops-strategy"
      #   output: "DevOps pipeline and infrastructure plan"
      #   note: "Future workflow - optional extended enterprise workflow for CI/CD, deployment, monitoring"

      - id: "validate-architecture"
        recommended: true
        agent: "architect"
        command: "validate-architecture"

      - id: "create-epics-and-stories"
        required: true
        agent: "pm"
        command: "create-epics-and-stories"
        note: "Required: Break down PRD into implementable epics and stories with full context (PRD + UX + Architecture)"

      - id: "implementation-readiness"
        required: true
        agent: "architect"
        command: "implementation-readiness"
        note: "Validates PRD + Architecture + Epics + UX (optional)"

  - phase: 3
    name: "Implementation"
    required: true
    workflows:
      - id: "sprint-planning"
        required: true
        agent: "sm"
        command: "sprint-planning"
        note: "Creates sprint plan - enterprise projects may require phased rollout"
